{
  flake.modules.nixos.amd-gpu = { pkgs, ... }: {
    environment.systemPackages = with pkgs; [
      rocmPackages.amdsmi
    ];

    boot.kernelModules = [ "kvm-amd" ];

    hardware.graphics = {
      enable = true;
      extraPackages = [ pkgs.rocmPackages.clr.icd ];
    };
    hardware.amdgpu = {
      initrd.enable = true;
      opencl.enable = true;
    };
  };
}
